# Class BridgeConfig

#### Hierarchy

- BridgeConfig

- Defined in utils/accounts/config.ts:25

#####
Index

### Constructors

constructor

### Properties

fee
guardianSetExpirationTime

### Methods

deserialize

## Constructors

### constructor

- new BridgeConfig(guardianSetExpirationTime, fee): BridgeConfig

- #### Parameters

  - ##### guardianSetExpirationTime: number

  - ##### fee: bigint

  #### Returns BridgeConfig

  - Defined in utils/accounts/config.ts:29

## Properties

### fee

fee: bigint

- Defined in utils/accounts/config.ts:27

### guardianSetExpirationTime

guardianSetExpirationTime: number

- Defined in utils/accounts/config.ts:26

## Methods

### `Static` deserialize

- deserialize(data): BridgeConfig

- #### Parameters

  - ##### data: Buffer

  #### Returns BridgeConfig

  - Defined in utils/accounts/config.ts:34

Generated using TypeDoc